import React from "react";
import BaseLayout from "components/BaseLayout";
import FeaturedArticlesCards from "components/MainPage/sections/FeaturedArticlesCards";
import FeaturedAuthorsCards from "components/MainPage/sections/FeaturedAuthorsCards";
import { FeaturedArticlesCategories } from "components/MainPage/sections/FeaturedArticlesCategories";
import { BottomBarAcceptCookies } from "components/containers/modal/BottomBarAcceptCookies";
import MainSection from "components/MainPage/sections/MainSection";
type Props = {
  className?: string;
};



export default function MainPage({ className }: Props) {
  return (
    <div>
      <BaseLayout>
          {/* <SearchSection options={options }></SearchSection> */}
          <MainSection></MainSection>
        <FeaturedArticlesCategories></FeaturedArticlesCategories>
        <FeaturedArticlesCards></FeaturedArticlesCards>
        <FeaturedAuthorsCards></FeaturedAuthorsCards>
      </BaseLayout>
    </div>
  );
}
